# Identity Biometrics

{% hint style="warning" %}
The maximum image size we accept is **1MB**
{% endhint %}

## Verify Identity with biometrics

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/identities/biometrics`

This endpoint is to fetch identity details with the identity type, number and either one of photo\_url or photo field.\
\
PS: Either one of the photoUrl or photo has to be provided.

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Authorization token |

#### Request Body

| Name     | Type   | Description                         |
| -------- | ------ | ----------------------------------- |
| photoUrl | string | URL link to image file.             |
| photo    | object | **Form Data** image                 |
| idType   | string | Identity Type ( nin , frsc or bvn ) |
| idNumber | string | Identity Number                     |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "data": {
        "bvn": "10000000001",
        "firstname": "John",
        "lastname": "Doe",
        "middlename": "Favor",
        "gender": "Male",
        "phone": "080000000001",
        "birthdate": "08-03-1992",
        "nationality": "Nigerian",
        "photo": "base64 image",
        "photoMatching": {
            "match": true,
            "matchScore": 99.899765,
            "matchingThreshold": 80,
            "maxScore": 100
        }
    }
}
```

{% endtab %}

{% tab title="404 Identity not found ( eg bvn )" %}

```
{
    "code":"NOT_FOUND_ERROR",
    "message":"BVN provided is not found. Please provide a valid bvn"
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

{% tabs %}
{% tab title="Curl" %}

```
curl -i -X POST -H "Content-Type: multipart/form-data" 
-H "Authorization: Bearer <your_auth_token>"
-F “idNumber=10000000001”
-F “idType=nin”
-F “photo=@your_photo.jpg”
-F “photoUrl=<your_image.com>”
 https://vapi.verifyme.ng/verifications/identities/biometrics
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifyme.ng/identity-verifications/biometrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
